From dc483bbd97f10cd34111e2168d57963b98f25014 Mon Sep 17 00:00:00 2001
From: Pierre Habouzit <madcoder@debian.org>
Date: Sat, 23 Jun 2007 18:36:57 +0100
Subject: [PATCH 1/5] Update nsdc.

  * don't fail if nsd is not running on stop.
  * also use mv -f

Signed-off-by: Pierre Habouzit <madcoder@debian.org>
---
 nsdc.sh.in |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

--- a/nsdc.sh.in
+++ b/nsdc.sh.in
@@ -130,11 +130,10 @@ fi
 signal() {
 	if [ -s ${pidfile} ]
 	then
-		kill -"$1" `cat ${pidfile}` && return 0
+		kill -"$1" `cat ${pidfile}` || return 1
 	else
 		echo "nsd is not running"
 	fi
-	return 1
 }
 
 lock_file() {
